Package owl.ltl.robust

## Class RobustLtlInputReader

- java.lang.Object
- - owl.ltl.robust.RobustLtlInputReader

- All Implemented Interfaces:
    `OwlModuleParser<InputReader>`, `OwlModuleParser.ReaderParser`

      public final class RobustLtlInputReader
      extends Object
      implements OwlModuleParser.ReaderParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.run.modules.OwlModuleParser

      `OwlModuleParser.ReaderParser, OwlModuleParser.TransformerParser, OwlModuleParser.WriterParser`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RobustLtlInputReader` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDescription()` |
    `String` | `getKey()` |
    `org.apache.commons.cli.Options` | `getOptions()` |
    `InputReader` | `parse​(org.apache.commons.cli.CommandLine commandLine)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RobustLtlInputReader INSTANCE

  - ### Method Detail

    - #### getKey

          public String getKey()

      Specified by:
        `getKey` in interface `OwlModuleParser<InputReader>`

    - #### getOptions

          public org.apache.commons.cli.Options getOptions()

      Specified by:
        `getOptions` in interface `OwlModuleParser<InputReader>`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `OwlModuleParser<InputReader>`

    - #### parse

          public InputReader parse​(org.apache.commons.cli.CommandLine commandLine)
                            throws org.apache.commons.cli.ParseException

      Specified by:
        `parse` in interface `OwlModuleParser<InputReader>`
      Throws:
        `org.apache.commons.cli.ParseException`